# class Log::BroadcastBackend

- Log::BroadcastBackend
- Log::Backend
- Reference
- Object

##
Overview

A backend that broadcast to others backends. Each of the referenced backends may have a different severity level filter.

When this backend level is set that level setting takes precedence over the severity filter of each referenced backend.

This backend is not to be used explicitly. It is used by `Log::Builder` configuration to allow a given source to emit to multiple backends.

##
Defined in:

log/broadcast_backend.cr

##
Constructors

- .new

##
Instance Method Summary

- #append(backend : Log::Backend, level : Severity) : Nil
- #close : Nil

  Closes underlying resources used by this backend.

- #level : Severity | Nil
- #level=(level : Severity | Nil)
- #write(entry : Entry) : Nil

  Writes the entry to this backend.

### Instance methods inherited from class `Log::Backend`

close : Nil close, dispatcher : Dispatcher dispatcher, dispatcher=(dispatcher : Dispatcher) dispatcher=, write(entry : Entry) write

### Constructor methods inherited from class `Log::Backend`

new(dispatch_mode : DispatchMode = :async)
new(dispatcher : Dispatcher) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new #

##
Instance Method Detail

def append(backend : Log::Backend, level : Severity) : Nil #
def close : Nil #
Description copied from class Log::Backend

Closes underlying resources used by this backend.

def level : Severity | Nil #
def level=(level : Severity | Nil) #
def write(entry : Entry) : Nil #
Description copied from class Log::Backend

Writes the entry to this backend.